# Uses of Interface
org.springframework.expression.MethodResolver

Packages that use MethodResolver
Package
Description
org.springframework.expression
Core abstractions behind the Spring Expression Language.
org.springframework.expression.spel.support
SpEL's default implementations for various core abstractions.

## Uses of MethodResolver in org.springframework.expression

Methods in org.springframework.expression that return types with arguments of type MethodResolver
Modifier and Type
Method
Description
`default List<MethodResolver>`
EvaluationContext.`getMethodResolvers()`
Return a list of resolvers that will be asked in turn to locate a method.

## Uses of MethodResolver in org.springframework.expression.spel.support

Classes in org.springframework.expression.spel.support that implement MethodResolver
Modifier and Type
Class
Description
`final class`
`DataBindingMethodResolver`
An `MethodResolver` variant for data binding purposes, using reflection to access instance methods on a given target object.
`class`
`ReflectiveMethodResolver`
Reflection-based `MethodResolver` used by default in `StandardEvaluationContext` unless explicit method resolvers have been specified.
Methods in org.springframework.expression.spel.support that return types with arguments of type MethodResolver
Modifier and Type
Method
Description
`List<MethodResolver>`
SimpleEvaluationContext.`getMethodResolvers()`
Return the specified `MethodResolver` delegates, if any.
`List<MethodResolver>`
StandardEvaluationContext.`getMethodResolvers()`
Get the list of method resolvers to use in this evaluation context.
Methods in org.springframework.expression.spel.support with parameters of type MethodResolver
Modifier and Type
Method
Description
`void`
StandardEvaluationContext.`addMethodResolver(MethodResolver methodResolver)`
Add the supplied method resolver to this evaluation context.
`boolean`
StandardEvaluationContext.`removeMethodResolver(MethodResolver methodResolver)`
Remove the supplied method resolver from this evaluation context.
`SimpleEvaluationContext.Builder`
SimpleEvaluationContext.Builder.`withMethodResolvers(MethodResolver... resolvers)`
Register the specified `MethodResolver` delegates for a combination of property access and method resolution.
Method parameters in org.springframework.expression.spel.support with type arguments of type MethodResolver
Modifier and Type
Method
Description
`void`
StandardEvaluationContext.`setMethodResolvers(List<MethodResolver> methodResolvers)`
Set the list of method resolvers to use in this evaluation context.